Bug 577057 - Review Request: perl-HTML-BarGraph - Generate multiset bar graphs using plain HTML
Summary: Review Request: perl-HTML-BarGraph - Generate multiset bar graphs using plain...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-25 23:44 UTC by Emmanuel Seyman
Modified: 2010-04-16 23:55 UTC (History)
2 users (show)

Fixed In Version: perl-HTML-BarGraph-0.5-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-16 23:41:44 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-03-25 23:44:57 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-HTML-BarGraph/perl-HTML-BarGraph.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-HTML-BarGraph/perl-HTML-BarGraph-0.5-1.fc12.src.rpm
Description:
HTML::BarGraph is a module that creates graphics for one or more data-sets,
using plain HTML and, optionally, one-pixel images, which are stretched
using the width and height attributes of the HTML img tag.

Comment 1 Chris Weyl 2010-03-26 02:32:21 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2076444

Comment 2 Chris Weyl 2010-03-26 02:44:06 UTC
It looks like sample.html would make more sense with the pixels/ directory.

Looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2076444

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
dbb263c77ec775d9013cf5407177ad9a41eafdc5 HTML-BarGraph-0.5.tar.gz
dbb263c77ec775d9013cf5407177ad9a41eafdc5 HTML-BarGraph-0.5.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-HTML-BarGraph-0.5-1.fc13.noarch.rpm <=====
====> rpmlint
perl-HTML-BarGraph.noarch: W: spelling-error Summary(en_US) multiset -> multistage, multistory, multiple
perl-HTML-BarGraph.noarch: W: spelling-error %description -l en_US img -> mg, imp, i mg
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
====> provides for perl-HTML-BarGraph-0.5-1.fc13.noarch.rpm
perl(HTML::BarGraph) = 0.5
perl-HTML-BarGraph = 0.5-1.fc13
====> requires for perl-HTML-BarGraph-0.5-1.fc13.noarch.rpm
perl(Exporter)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(vars)  

=====> perl-HTML-BarGraph-0.5-1.fc13.src.rpm <=====
====> rpmlint
perl-HTML-BarGraph.src: W: spelling-error Summary(en_US) multiset -> multistage, multistory, multiple
perl-HTML-BarGraph.src: W: spelling-error %description -l en_US img -> mg, imp, i mg
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
====> provides for perl-HTML-BarGraph-0.5-1.fc13.src.rpm
====> requires for perl-HTML-BarGraph-0.5-1.fc13.src.rpm
perl(ExtUtils::MakeMaker)  

APPROVED

Comment 3 Emmanuel Seyman 2010-03-26 09:52:52 UTC
Thanks for the review. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-HTML-BarGraph
Short Description: Generate multiset bar graphs using plain HTML
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-03-30 21:43:03 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-30 23:08:36 UTC
perl-HTML-BarGraph-0.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-HTML-BarGraph-0.5-1.fc13

Comment 6 Fedora Update System 2010-03-30 23:08:40 UTC
perl-HTML-BarGraph-0.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-HTML-BarGraph-0.5-1.fc12

Comment 7 Fedora Update System 2010-03-30 23:08:44 UTC
perl-HTML-BarGraph-0.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTML-BarGraph-0.5-1.fc11

Comment 8 Fedora Update System 2010-04-01 01:40:49 UTC
perl-HTML-BarGraph-0.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTML-BarGraph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-HTML-BarGraph-0.5-1.fc11

Comment 9 Fedora Update System 2010-04-01 01:44:34 UTC
perl-HTML-BarGraph-0.5-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTML-BarGraph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-HTML-BarGraph-0.5-1.fc12

Comment 10 Fedora Update System 2010-04-01 19:34:10 UTC
perl-HTML-BarGraph-0.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTML-BarGraph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-HTML-BarGraph-0.5-1.fc13

Comment 11 Fedora Update System 2010-04-16 23:41:40 UTC
perl-HTML-BarGraph-0.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-16 23:52:01 UTC
perl-HTML-BarGraph-0.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-16 23:55:09 UTC
perl-HTML-BarGraph-0.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.